<template>
  <v-footer class="grey" padless>
    <v-container>
      <v-card flat tile class="grey white--text text-center">
        <v-card-text>
          <v-btn
            :href="icon.link"
            v-for="icon in icons"
            :key="icon"
            class="mx-4 white--text"
            icon
            target="_blank"
          >
            <v-icon size="24px">{{ icon.icon }}</v-icon>
          </v-btn>
        </v-card-text>

        <v-card-text class="white--text pt-0">
          <v-btn
            :to="link.link"
            v-for="link in sections"
            :key="link"
            color="white"
            text
            rounded
            class="my-2"
          >
            {{ link.tag }}
          </v-btn>
        </v-card-text>

        <v-divider></v-divider>

        <v-card-text class="white--text">
          {{ new Date().getFullYear() }} — <strong>Elkartruke</strong>
        </v-card-text>
      </v-card>
    </v-container>
  </v-footer>
</template>

<script>
export default {
  name: 'Footer',
  data() {
    return {
      today: new Date(),
      icons: [
        {
          icon: 'mdi-facebook',
          link: 'https://www.facebook.com'
        },
        {
          icon: 'mdi-twitter',
          link: 'https://twitter.com'
        },
        {
          icon: 'mdi-instagram',
          link: 'https://instagram.com'
        }
      ],

      sections: [
        {
          tag: 'Quién somos',
          link: '/about-us'
        },
        {
          tag: 'Normas de uso',
          link: '/usage-rules'
        },
        {
          tag: 'Política de privacidad',
          link: '/privacy-policy'
        }
      ]
    }
  },
  methods: {
    goToRouteIcons() {},
    goToRouteLinks() {}
  }
}
</script>

<style scoped></style>
